<?php
/**
* @version $Id: view.html.php $
* @version		2.6.0 28/04/2016
* @package		com_myjspace
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2010-2011-2012-2013-2014-2015-2016 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'legacy.php';

jimport('joomla.application.component.view');

class MyjspaceViewCreatepage extends JViewLegacy
{
	/**
	 * display method of BSbanner view
	 * @return void
	 **/
	function display($tpl = null)
	{
        require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'user_event.php';

		// Menu bar
		if (version_compare(JVERSION, '2.5.0', 'lt'))
			$icon = 'addedit';
		else if (version_compare(JVERSION, '3.0.0', 'lt'))
			$icon = 'article-add';
		else
			$icon = 'pencil-2';

		JToolBarHelper::title(JText::_('COM_MYJSPACE_HOME').JText::_('COM_MYJSPACE_2POINTS').JText::_('COM_MYJSPACE_CREATEPAGE'), $icon);
		JToolBarHelper::apply('adm_create_page');	
		JToolbarHelper::cancel('page_cancel');
		JToolBarHelper::divider();

		// Build the script
		$script = array();
		$script[] = 'function jSelectUser_jform_created_by(id, title) {';
		$script[] = '	var old_id = document.getElementById("mjs_userid").value;';
		$script[] = '	if (old_id != id) {';
		$script[] = '		document.getElementById("mjs_username2").value = title;';
		$script[] = '		document.getElementById("mjs_userid").value = id;';
		$script[] = '	}';
		$script[] = '	SqueezeBox.close();';
		$script[] = '}';

		// Add the script to the document head
		JFactory::getDocument()->addScriptDeclaration(implode("\n", $script));

		$model_page_list = BSUserEvent::model_pagename_list(); // Model page list
		$this->assignRef('model_page_list', $model_page_list);

		// Side bar
		if (version_compare(JVERSION, '3.4.0', 'ge'))
			$this->sidebar = JHtmlSidebar::render();

		parent::display($tpl);
	}
}

?>
