<?php
/**
* @version $Id: default.php $
* @version		2.6.6 14/05/2019
* @package		com_myjspace
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2010 - 2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die;

if (version_compare(JVERSION, '3.4.0', 'ge'))
	JHtml::_('bootstrap.tooltip');

$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root(true).'/components/com_myjspace/assets/myjspace.min.css');
?>
<?php if (!empty($this->sidebar)) : ?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
<?php else : ?>
	<div id="j-main-container">
<?php endif;?>
<div class="myjspace myjsp-w-100">
<fieldset class="adminform">
<legend><?php echo JText::_('COM_MYJSPACE_ADMIN_SOME_HELP'); ?></legend>
<div><strong><?php echo JText::_('COM_MYJSPACE_ADMIN_INFO_0'); ?></strong></div>
<ul>
<?php
	$span_fin_ko = 'style="color:red">';

	$span_fin = '>';
	if (ini_get('file_uploads') != 1)
		$span_fin = $span_fin_ko;
	echo '<li><b>PHP file_uploads =</b> <span '.$span_fin.ini_get('file_uploads')."</span></li>\n";

	$span_fin = '>';
	if (BS_Util::convertBytes(ini_get('upload_max_filesize')) < $this->file_max_size)
		$span_fin = $span_fin_ko;
	echo '<li><b>PHP upload_max_filesize =</b> <span '.$span_fin.BS_Util::convertBytes(ini_get('upload_max_filesize')).'</span> ('.JText::_('COM_MYJSPACE_ADMIN_SUPERIOR').' '.$this->file_max_size.' : '.JText::_('COM_MYJSPACE_LABELUSAGE2').")</li>\n";

	$span_fin = '>';
	if (BS_Util::convertBytes(ini_get('post_max_size')) < $this->file_max_size || BS_Util::convertBytes(ini_get('post_max_size')) < $this->name_page_max_size)
		$span_fin = $span_fin_ko;
	echo '<li><b>PHP post_max_size =</b> <span '.$span_fin.BS_Util::convertBytes(ini_get('post_max_size')).'</span> ('.JText::_('COM_MYJSPACE_ADMIN_SUPERIOR').' '.$this->file_max_size.' = '.JText::_('COM_MYJSPACE_LABELUSAGE2').' &amp; '.$this->name_page_max_size.' = '.JText::_('COM_MYJSPACE_LABELUSAGE5').")</li>\n";

/*
   	file_uploads = On/Off permet d'autoriser ou non l'envoi de fichiers.
	upload_tmp_dir = répertoire permet de définir le répertoire temporaire permettant d'accueillir le fichier uploadé.
	upload_max_filesize = 2M permet de définir la taille maximale autorisée pour le fichier. 
		Si cette limite est dépassée, le serveur enverra un code d'erreur.
	post_max_size indique la taille maximale des données envoyées par un formulaire. 
		Cette directive prime sur upload_max_filesize, il faut donc s'assurer d'avoir post_max_size supérieure à upload_max_filesize 
*/
?>
</ul>
<div><strong><?php echo JText::_('COM_MYJSPACE_ADMIN_INFO_OTHER'); ?></strong></div>
<ul>
<?php
	// Editor
	echo '<li>';
	$check_editor = BS_Util::check_editor_selection($this->editor_selection);
	$span_fin = '> ';
	if ($check_editor == false)
		$span_fin = $span_fin_ko;
	echo '<b>'.JText::_('COM_MYJSPACE_ADMIN_EDITOR').'</b> <span '.$span_fin.$this->editor_selection.'</span>';		
	if ($check_editor == false) // Use the Joomla! default editor
		echo JText::_('COM_MYJSPACE_ADMIN_EDITOR_SELECTION');
	echo $this->editor_complement;
	echo '</li>';

	if ($this->link_folder == 1) {
		// Root folder
		echo '<li><b>'.JText::_('COM_MYJSPACE_ADMIN_ISWRITABLE').'</b> ';
		if ($this->iswritable)
			echo JText::_('COM_MYJSPACE_ADMIN_FOLDER_OK');
		else
			echo JText::_('COM_MYJSPACE_ADMIN_FOLDER_KO');
		echo "</li>\n";

		// Index
		if ($this->nb_index_ko >= 0) {
			echo '<li>';
			if ($this->nb_index_ko == 0)
				echo JText::_('COM_MYJSPACE_ADMIN_INDEX_FORMAT_OK');
			else
				echo JText::sprintf('COM_MYJSPACE_ADMIN_INDEX_FORMAT_KO', 'index.php?option=com_myjspace&amp;task=adm_create_folder&amp;'.BS_Util::getFormToken().'=1');
			echo '</li>';
		}
	}

	// ACL 2.0.0+ for J1.6+
	if (version_compare(JVERSION, '1.6.0', 'ge') && $this->nb_max_page > 1 && $this->acl_rules_2000 == false)
		echo '<li>'.JText::_('COM_MYJSPACE_ADMIN_ACL_MSG').'</li>';	

	// GD
	echo '<li><b>'.JText::_('COM_MYJSPACE_ADMIN_GD').'</b>';
	if ($this->gd_support == true)
		echo JText::_('COM_MYJSPACE_ADMIN_OK');
	else
		echo JText::_('COM_MYJSPACE_ADMIN_KO').JText::_('COM_MYJSPACE_LABELUSAGE4');
	echo "</li>\n";

	// Max. page(s) par user (config) and real
	if ($this->nb_max_page_per_user > $this->nb_max_page) {
		JError::raiseNotice(100, JText::sprintf('COM_MYJSPACE_NB_MAX_PAGE_PER_USER', $this->nb_max_page_per_user, $this->nb_max_page));
		echo '<li>'.JText::sprintf('COM_MYJSPACE_NB_MAX_PAGE_PER_USER', $this->nb_max_page_per_user, $this->nb_max_page).'</li>';
	}

	// Model checks
	if ($this->error_model != '' || $this->warning_model != '') {
		echo '<li><b>'.JText::_('COM_MYJSPACE_TITLEMODEL').JText::_('COM_MYJSPACE_2POINTS').'</b>';
		if ($this->error_model != '')
			echo '<span style="color:red">'.$this->error_model.'</span>';
		if ($this->warning_model != '')
			echo ' <span style="color:orange">'.$this->warning_model.'</span>';
		echo '</li>';
	}

	// At least one 'see' view
	echo "<li><b>".JText::_('COM_MYJSPACE_ATLEASTONEMENUSEE0').'</b>';
	if (BS_Util::get_menu_itemid('index.php?option=com_myjspace&view=see') != 0)
		echo JText::_('COM_MYJSPACE_ADMIN_OK');
	else
		echo JText::_('COM_MYJSPACE_ATLEASTONEMENUSEE1');
	echo "</li>";

	// Upload plugins
	if ($this->upload_plugins !== false)
		echo "<li>".$this->upload_plugins."</li>";

	// If templates usage configurated, the plugin system_myjsptemplateset need to be installed & enabled
	if (!$this->myjsptemplateset) {
		echo "<li>\n".JText::_('COM_MYJSPACE_PLUGINTEMPLATESET')."\n</li>\n";
	}
	
	// Naming convention issue?
	if ($this->naming_convention) {
		echo "<li>\n".JText::_('COM_MYJSPACE_PAGENAME_KO_LABEL').' <span style="color:red">KO</span>: '.str_replace('TOKEN', JSession::getFormToken(), JText::_('COM_MYJSPACE_PAGENAME_KO'))."\n</li>\n";
	}
?>
</ul>
</fieldset>

<fieldset class="adminform">
<legend><?php echo JText::_('COM_MYJSPACE_ADMIN_REPORT'); ?></legend>
	<div><a href="#" id="link_sel_all" onclick="document.getElementById('report').select()"><?php echo JText::_('COM_MYJSPACE_ADMIN_REPORT_SELECT'); ?></a></div>
	<textarea id="report" name="report" style="width:100%; height:120px;"><?php echo htmlspecialchars($this->report, ENT_COMPAT, 'UTF-8'); ?></textarea>
</fieldset>

</div>
</div>
