<?php
/**
* @version $Id: view.html.php $
* @version		2.6.0 22/06/2016
* @package		com_myjspace
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2010-2011-2012-2013-2014-2015-2016 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'legacy.php';

jimport('joomla.application.component.view');

class MyjspaceViewTools extends JViewLegacy
{
	/**
	 * display method of BSbanner view
	 * @return void
	 **/
	function display($tpl = null)
	{
        require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'version.php';
		require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'util.php';

		// Menu bar
		if (version_compare(JVERSION, '3.0.0', 'lt'))
			$icon = 'config';
		else
			$icon = 'lightning';

		JToolBarHelper::title(JText::_('COM_MYJSPACE_HOME').': '.JText::_('COM_MYJSPACE_TOOLS'), $icon);

		// MyJspace Plugins
		JPluginHelper::importPlugin('myjspace'); // Import & call the constructor

		// Tools plugin
		$allow_recompute_foldername = false;
		$dispatcher	= JDispatcher::getInstance();
		$POtherTools = $dispatcher->trigger('onMyJspaceTools', array(null, 0)); // List of labels 

		// Content
		// Config
		$pparams = JComponentHelper::getParams('com_myjspace');
		$link_folder = $pparams->get('link_folder', 1);

		$this->assignRef('link_folder', $link_folder);
		$this->assignRef('POtherTools', $POtherTools);

		// Side bar
		if (version_compare(JVERSION, '3.4.0', 'ge'))
			$this->sidebar = JHtmlSidebar::render();

		parent::display($tpl);
	}
}

?>
