<?php
/**
* @version $Id: view.html.php $
* @version		2.6.6 11/05/2019
* @package		com_myjspace
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2010-2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'legacy.php';

jimport('joomla.application.component.view');

class MyjspaceViewUrl extends JViewLegacy
{
	function display($tpl = null)
	{
        require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'user.php';
		require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'util.php';

		// Menu bar
		if (version_compare(JVERSION, '2.5.0', 'lt'))
			$icon = 'categories';
		else if (version_compare(JVERSION, '3.0.0', 'lt'))
			$icon = 'categories';
		else
			$icon = 'home-2';

		JToolBarHelper::title(JText::_('COM_MYJSPACE_HOME').JText::_('COM_MYJSPACE_2POINTS').JText::_('COM_MYJSPACE_LINKS'), $icon);
		JToolBarHelper::apply('adm_ren_rootfolder');	
		JToolBarHelper::divider();	

		// Config
		$pparams = JComponentHelper::getParams('com_myjspace');
		$link_folder = $pparams->get('link_folder', 1);
		$link_folder_print = $pparams->get('link_folder_print', 0);

		// Check page index format (=version)
		$nb_index_ko = BSHelperUser::checkversionIndexPage();

		// Content
		$link = BSHelperUser::getRootFoldername();

		// Error message
		$msg = '';
		if (stristr($link, 'myjspace') !== false)
			$msg .= JText::_('COM_MYJSPACE_FOLDERNAME_KO1');
//		if ($link_folder == 1 && !BSHelperUser::IsDirW($link))
//			$msg .= JText::_('COM_MYJSPACE_FOLDERNAME_KO2');
		else if ($nb_index_ko > 0)
			$msg .= JText::sprintf('COM_MYJSPACE_ADMIN_INDEX_FORMAT_KO', 'index.php?option=com_myjspace&amp;task=adm_create_folder&amp;'.BS_Util::getFormToken().'=1');

		if ($msg)
			JError::raiseWarning(500, $msg);		

		$this->assignRef('link', $link);
		$this->assignRef('link_folder', $link_folder);
		$this->assignRef('link_folder_print', $link_folder_print);
		$this->assignRef('nb_index_ko', $nb_index_ko);

		// Side bar
		if (version_compare(JVERSION, '3.4.0', 'ge'))
			$this->sidebar = JHtmlSidebar::render();

		parent::display($tpl);
	}
}

?>
