<?php
/**
* @version $Id: install.myjspace.php $
* @version		2.6.6 11/05/2019
* @package		com_myjspace
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2010 - 2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

// Install for Joomla!: 1.5, 1.6-2.5, 3.x

// Migration from older component version

jimport('joomla.filesystem.folder');
jimport('joomla.filesystem.file');

// BSHelperUser API
require_once JPATH_ROOT.DS.'components'.DS.'com_myjspace'.DS.'helpers'.DS.'user.php';

// Config
	$pparams = JComponentHelper::getParams('com_myjspace');
	$db	= JFactory::getDBO();
	$config = new JConfig();

// Check DBO - Update migration only for DB with mysql & mysqli
	if (!checkDbo($db->name, array('mysql', 'mysqli')))
		return;

?>
<h1 style="font-size:larger; font-weight:bold"><img src="<?php echo JURI::base().'components/com_myjspace/images/myjspace.png';?>" alt="BS MyJspace" /> BS Myjspace Install</h1>
<div>
<?php
// MyJspace Version
	if (version_compare(JVERSION, '1.6.0', 'ge')) {
		$file = JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_myjspace'.DS.'myjspace.xml';
		libxml_use_internal_errors(true);
		$xml = simplexml_load_file($file);
		echo "<strong>Version:</strong> ".$xml->version.' - '.$xml->build.' - '.$xml->creationDate.'<br /><br />';
	}

	$query = "SELECT COUNT(*) FROM `#__myjspace`";
	$db->setQuery($query);
	$db->query();
	$page_count = $db->loadResult();

	if (!isset($page_count) || $page_count < 0)
		echo "<span style='color:red'>Error: Missing table `#__myjspace`. Please re-install</span><br /><br />";
	else if ($page_count > 0) {
		echo '<strong><u>Previous install</u></strong><br />';
		echo '<span>There is already '.$page_count.' pages created with a previous install.</span><br /><br />';
	}

?>
	<strong><u>Post install</u></strong><br />
<?php
	// ----------- If migrate from version <= 1.8.0 - part 1 ---------------------
	$query = "SHOW TABLES LIKE '".$config->dbprefix."myjspace_cfg'";
	$db->setQuery($query);
	$result = $db->loadResult();

	// Get old content, save the content into param and drop old table #_myjspace_cfg
	if ($result != false) {
		$query = "SELECT `foldername` FROM `#__myjspace_cfg`";
		$db->setQuery($query, null, 1);
		
		try {
			$foldername = $db->loadResult();
		}
		catch (RuntimeException $e) { // Table doesn't exists or query error
			$foldername = '';
		}

		if (($foldername) && $foldername != '') { // Save content if any
			require_once JPATH_ROOT.DS.'components'.DS.'com_myjspace'.DS.'helpers'.DS.'version.php';
			echo "Droped old cfg table `#__myjspace_cfg` and saved old foldername '$foldername' into config parameter<br />";
		
			$pparams->set('foldername', $foldername);
			BS_Helper_version::save_parameters($pparams, 'com_myjspace');
		}

		$query = "DROP TABLE IF EXISTS `#__myjspace_cfg`";
		$db->setQuery($query);
		$db->query();
	}
	// ----------- End If migrate from version <= 1.8.0 --------------------------

	// --------- If migrate from version <= 1.2 --- and count of pages ----------		

   	// Index (modification for previous versions)	
	if (!index_exists($config->db, $config->dbprefix.'myjspace', 'idx_pagename')) {
		$query = "CREATE UNIQUE INDEX `idx_pagename` ON `#__myjspace` (pagename)";
		$db->setQuery($query);
		$db->query();
	}

	// Columns (modifications for previous versions)
	if (!column_exists($config->db, $config->dbprefix.'myjspace', 'last_update_date')) {
		$query = "ALTER TABLE `#__myjspace` ADD COLUMN `last_update_date` timestamp DEFAULT '0000-00-00 00:00:00'";
		$db->setQuery($query);
		$db->query();
	}

	// Columns (modifications for previous versions)
	if (!column_exists($config->db, $config->dbprefix.'myjspace', 'create_date')) {
		// varchar(15) => varchar(8) : 2.0.2
		$query = "ALTER TABLE `#__myjspace` ADD COLUMN `create_date` timestamp DEFAULT CURRENT_TIMESTAMP, ADD COLUMN `last_access_date` timestamp, ADD COLUMN `last_access_ip` varchar(8) NOT NULL default '0', ADD COLUMN `hits` BIGINT NOT NULL default 0";
		$db->setQuery($query);
		$retour = $db->query();

		// If migrated from <= 1.2 set create_date with folder last update date
		if ($retour == 1) { // If add column is ok => so it's just migrate from version <= 1.2 ... so continue migrate :-)
			// Root folder
			$folder = $pparams->get('foldername', 'myjsp');
			// Subfolder info
			$projectsListIgnore = array('.', '..');
			$oldfolder = getcwd();
			if (!@chdir(JPATH_ROOT.DS.$folder))
				echo "<br />Acces problem for folder : ".$folder."<br />";		
			echo "<br />Search for page creation date in folder : ".$folder."<br />";
			$handle = @opendir('.');
			$compte = 0;
			while (false !== ($file = @readdir($handle))) {
				if (@is_dir($file) && !in_array($file, $projectsListIgnore)) {
					$date_tmp = date('Y-m-d H:i:s', filemtime($file));
					$query = "UPDATE `#__myjspace` SET `create_date` = '".$date_tmp."' WHERE `pagename` = '".$file."'";
					$db->setQuery($query);
					$db->query();
					$compte = $compte +1;
				}
			}
			@closedir($handle);
			@chdir($oldfolder);
			echo "Number of pages found : ".$compte."<br />";
		}
	}
	// ----------- End - If migrate from version <= 1.2 -------------------------

	// ---------------- If migrate from version <= 1.6.8 ------------------------
	// Columns (modifications for previous versions)
	if (!column_exists($config->db, $config->dbprefix.'myjspace', 'publish_up')) {
		$query = "ALTER TABLE `#__myjspace` ADD COLUMN `publish_up` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00'";
		$db->setQuery($query);
		$db->query();
	}

	// Columns (modifications for previous versions)
	if (!column_exists($config->db, $config->dbprefix.'myjspace', 'publish_down')) {
		$query = "ALTER TABLE `#__myjspace` ADD COLUMN `publish_down` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00'";
		$db->setQuery($query);
		$db->query();
	}

	// ----------- End - If migrate from version <= 1.6.8 -----------------------

	// ----------- If migrate from version < 1.7.4 -----------------------------
	// Columns (modifications for previous versions)
	if (!column_exists($config->db, $config->dbprefix.'myjspace', 'metakey')) {
		$query = "ALTER TABLE `#__myjspace` ADD COLUMN `metakey` text NOT NULL DEFAULT ''";
		$db->setQuery($query);
		$db->query();
	}

	if (!column_exists($config->db, $config->dbprefix.'myjspace', 'template')) {
		$query = "ALTER TABLE `#__myjspace` ADD COLUMN `template` varchar(50) NOT NULL DEFAULT ''";
		$db->setQuery($query);
		$db->query();
	}
	// ----------- End - If migrate from version < 1.7.4 -----------------------

	// ----------- If migrate from version < 1.8.0 - part 2 --------------------
	
	// Delete old component editor files if any. Just for cleanup
	if (@is_dir(JPATH_SITE.DS.'components'.DS.'com_myjspace'.DS.'editor')) {
		rrmdir(JPATH_SITE.DS.'components'.DS.'com_myjspace'.DS.'editor');
		echo "Removed old editor files<br />";
	}
	// ----------- End - If migrate from version < 1.8.0 - part 2 --------------

	// ----------- If migrate from version < 2.0.0 -----------------------------
	if (version_compare(JVERSION, '1.6.0', 'lt')) { // Rename config.xml & update existing old menu if exist
		JFile::move('config.xml', 'my_config.xml', JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_myjspace');
	
		$query = "UPDATE `#__menu` SET `params` = CONCAT('page_title=',SUBSTRING_INDEX(`params`, 'page_title=', -1)) WHERE `type` = 'component' AND `link` LIKE('%com_myjspace%') AND `params` LIKE ('%page_prefix=%')";
		$db->setQuery($query);
		$db->query();
	}

	if (!column_exists($config->db, $config->dbprefix.'myjspace', 'userid')) {
		$query = "ALTER TABLE `#__myjspace` ADD COLUMN `userid` INT(11) NOT NULL DEFAULT 0";
		$db->setQuery($query);
		$db->query();
	}

	$query = "UPDATE `#__myjspace` SET `userid` = `id` WHERE `userid` = 0";
	$db->setQuery($query);
	$db->query();

	if (!index_exists($config->db, $config->dbprefix.'myjspace', 'idx_userid')) {
		$query = "CREATE INDEX `idx_userid` ON `#__myjspace` (`userid`)";
		$db->setQuery($query);
		$db->query();
	}

	$query = "ALTER TABLE `#__myjspace` CHANGE `id` `id` INT(10) unsigned NOT NULL AUTO_INCREMENT";
	$db->setQuery($query);
	$db->query();
	// ----------- End - If migrate from version < 2.0.0 -----------------------

	// ----------- If migrate from version < 2.0.1 -----------------------------
	if (!column_exists($config->db, $config->dbprefix.'myjspace', 'catid')) {
		$query = "ALTER TABLE `#__myjspace` ADD `catid` INT(11) NOT NULL DEFAULT 0";
		$db->setQuery($query);
		$db->query();
	}

	if (!column_exists($config->db, $config->dbprefix.'myjspace', 'modified_by')) {
		$query = "ALTER TABLE `#__myjspace` ADD `modified_by` INT(10) unsigned NOT NULL DEFAULT 0";
		$db->setQuery($query);
		$db->query();
	}

	if (!column_exists($config->db, $config->dbprefix.'myjspace', 'access')) {
		$query = "ALTER TABLE `#__myjspace` ADD `access` INT(10) unsigned NOT NULL DEFAULT 0";
		$db->setQuery($query);
		$db->query();
	}

	if (!index_exists($config->db, $config->dbprefix.'myjspace', 'idx_access')) {
		$query = "CREATE INDEX `idx_access` ON `#__myjspace` (access)";
		$db->setQuery($query);
		$db->query();
	}

	$query = "UPDATE `#__myjspace` SET `modified_by` = `userid` WHERE `modified_by` = 0";
	$db->setQuery($query);
	$db->query();
	// ----------- End - If migrate from version < 2.0.1 -----------------------

	// ----------- If migrate from version < 2.0.2 -----------------------------

	// Blockview
	$query = "SHOW COLUMNS FROM `#__myjspace` WHERE `field` = 'blockView'";
	$db->setQuery($query);
	$db->query();
	$row = $db->loadAssocList();

	if (isset($row[0]['Type']) && $row[0]['Type'] == 'tinyint(4)') {
		echo "Update Acces Level<br />";

		$query = "ALTER TABLE `#__myjspace` CHANGE `blockView` `blockView` INT(10) unsigned NOT NULL DEFAULT 1";
		$db->setQuery($query);
		$db->query();

		$query = "UPDATE `#__myjspace` SET `blockView` = 9999 WHERE `blockView` = 0";
		$db->setQuery($query);
		$db->query();

		$query = "UPDATE `#__myjspace` SET `blockView` = 0 WHERE `blockView` = 1";
		$db->setQuery($query);
		$db->query();

		$query = "UPDATE `#__myjspace` SET `blockView` = 1 WHERE `blockView` = 9999";
		$db->setQuery($query);
		$db->query();
	}

	// Last_access_ip
	$query = "SHOW COLUMNS FROM `#__myjspace` WHERE `field` = 'last_access_ip'";
	$db->setQuery($query);
	$db->query();
	$row = $db->loadAssocList();

	if (isset($row[0]['Type']) && $row[0]['Type'] != 'varchar(8)') {
		echo "Update last_access_ip column<br />";
		$query = "ALTER TABLE `#__myjspace` CHANGE `last_access_ip` `last_access_ip` varchar(8) NOT NULL DEFAULT '0'";
		$db->setQuery($query);
		$db->query();
	}

	// Del old files
	@unlink(JPATH_ROOT.DS.'components'.DS.'com_myjspace'.DS.'helpers'.DS.'edit_plus.php');
	@unlink(JPATH_ROOT.DS.'components'.DS.'com_myjspace'.DS.'assets'.DS.'util.js');
	@unlink(JPATH_ROOT.DS.'components'.DS.'com_myjspace'.DS.'assets'.DS.'progress2.gif');
	// ----------- End - If migrate from version < 2.0.2 -----------------------

	// ----------- If migrate from version < 2.0.6 -----------------------------

	if (!column_exists($config->db, $config->dbprefix.'myjspace', 'language')) {
		$query = "ALTER TABLE `#__myjspace` ADD `language` char(7) NOT NULL DEFAULT '*'";
		$db->setQuery($query);
		$db->query();

		if ($pparams->get('categories_filter', 0) == 1) { // Update if categories used for language for search view (MyJspace 2.0.5 only)
			echo "Update pages language<br />";
			$query = "UPDATE `#__myjspace` b, `#__categories` c SET b.language = c.language WHERE b.catid = c.id AND c.extension = 'com_myjspace' AND c.language != '*'";
			$db->setQuery($query);
			$db->query();
		}
	}
	// ----------- End - If migrate from version < 2.0.6 -----------------------

	// ----------- If migrate from version < 2.2.0 -----------------------------

	if (!column_exists($config->db, $config->dbprefix.'myjspace', 'title')) {
		$query = "ALTER TABLE `#__myjspace` ADD `title` varchar(100) NOT NULL DEFAULT ''";
		$db->setQuery($query);
		$db->query();

		// Del old file
		@unlink(JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_myjspace'.DS.'sql'.DS.'delete.mysql.utf8.sql');

		echo "Set new empty pages title with pagenames<br />";
	}
	// ----------- End - If migrate from version < 2.2.0 -----------------------

	// ----------- If migrate from version <= 2.2.0 ----------------------------

	$query = "UPDATE `#__myjspace` SET `title` = `pagename` WHERE `title` = ''";
	$db->setQuery($query);
	$db->query();

	// ----------- End - If migrate from version <= 2.2.0 -----------------------

	// ----------- If migrate from version <= 2.3.1 ----------------------------

	// Del old file
	@unlink(JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_myjspace'.DS.'sql'.DS.'install.mysql.utf8.sql');
		
	// ----------- End - If migrate from version <= 2.3.1 -----------------------

	// ----------- If migrate from version <= 2.5.5 ----------------------------

	if (!column_exists($config->db, $config->dbprefix.'myjspace', 'userread')) {
		$query = "ALTER TABLE `#__myjspace` ADD COLUMN `userread` varchar(100) NOT NULL DEFAULT ''";
		$db->setQuery($query);
		$db->query();
	}
	// ----------- END - If migrate from version <= 2.5.5 ----------------------------

	// ----------- If migrate from version <= 2.6.0 ----------------------------

	if (!column_exists($config->db, $config->dbprefix.'myjspace', 'foldername')) {
		$query = "ALTER TABLE `#__myjspace` ADD COLUMN `foldername` varchar(150) NOT NULL DEFAULT 'myjsp'";
		$db->setQuery($query);
		$db->query();

		$query = "UPDATE `#__myjspace` SET `foldername` = ".$db->Quote(BSHelperUser::getRootFoldername())." WHERE `foldername` = 'myjsp'";		
		$db->setQuery($query);
		$db->query();

	}
		
	// ----------- END - If migrate from version <= 2.6.0 ----------------------------

	echo "All done! Up to you now :-)<br />";

	// ----------- Checks -------------------------------------------------------

	// Check for available plugin
	$editor_selection = $pparams->get('editor_selection', 'tinymce');
	if ($editor_selection != '-') { // Not default editor
		$plugin = JPluginHelper::getPlugin('editors', $editor_selection);
		if (!$plugin)
			echo '<div style="color:red;">You need to select and enable an editor into the <a href="index.php?option=com_myjspace">BS MyJspace Options</a> (check if you have installed and enabled the myjsp editor plugin; default choice).</div><br />';
	}

	// Check pages folder
	if ($pparams->get('link_folder', 1) == 1 && !BSHelperUser::IsDirW(BSHelperUser::getRootFoldername())) {
		echo "<br /><strong><u>Pages folder: Important</u></strong><br />";
		echo 'If you do not change the option "link as folder" you have to create the folder "myjsp" (or your favorite name) and chmod folder to 755 OR use the component administration function to create it. You can do it using <a href="index.php?option=com_myjspace&view=url">"Component / BS MyJspace / Directory"</a></br>';
	}

	// Check all index format (= version)
	$nb_index_ko = BSHelperUser::checkversionIndexPage();
	if ($nb_index_ko > 0 && $pparams->get('link_folder', 1) == 1) {
		echo "<br /><strong><u>Page index</u></strong><br />";
		echo 'You have to recreate the index files by using <a href="index.php?option=com_myjspace&view=tools">Component / BS MyJspace / Tools / Create folders and index for personal pages</a><br />';
	}

	// Check the max. page per user (configuration) compared to the real usage
	$nb_max_page_per_user = BSHelperUser::myjsp_max_page_per_user();
	if ($nb_max_page_per_user > $pparams->get('nb_max_page', 1)) {
		echo "The real 'number of page par user' is <strong>more</strong> than the 'Max. number of pages per user' into the option => you need to change the configuration!<br />";
	}

?>
	<br />
	<div style="text-align: left;">
		<div class="button2-left">
			<div class="blank">
				<a class="modal-button btn" href="index.php?option=com_myjspace&amp;view=help">Finish and Check</a>
			</div>
		</div>
	</div>
	<br /><br />
<?php	
	// ----------- End - Checks -------------------------------------------------

// rmdir with file & dir
function rrmdir($dir = null)
{
	if (@is_dir($dir)) {
		$objects = @scandir($dir);
		foreach ($objects as $object) {
			if ($object != "." && $object != "..") {
				if (@filetype($dir.DS.$object) == "dir") rrmdir($dir.DS.$object); else @unlink($dir.DS.$object);
			}
		}
		reset($objects); 
		if (!(@rmdir($dir)))
			@rename($dir, JPATH_SITE.DS.'tmp'.DS.'#garbage'); 
	}
}

function column_exists($base, $table, $column)
{
	$db	= JFactory::getDBO();
	$query = "SELECT COUNT(1) `cnt` FROM `information_schema`.`COLUMNS` WHERE `TABLE_SCHEMA` = ".$db->Quote($base)." AND `TABLE_NAME` = ".$db->Quote($table)." AND `COLUMN_NAME` = ".$db->Quote($column);
	$db->setQuery($query);
	return $db->loadResult();
}

function index_exists($base, $table, $index)
{
	$db	= JFactory::getDBO();
	$query = "SELECT COUNT(1) `cnt` FROM `information_schema`.`STATISTICS` WHERE `TABLE_SCHEMA` = ".$db->Quote($base)." AND `TABLE_NAME` = ".$db->Quote($table)." AND `INDEX_NAME` = ".$db->Quote($index);
	$db->setQuery($query);
	return $db->loadResult();
}

function checkDbo($name, $types)
{
	$app = JFactory::getApplication();

	if (in_array($name, $types))
		return true;

	$app->enqueueMessage(sprintf("Database driver '%s' is not supported for update. Please use MySQL instead.", $name), 'notice');
	return false;
}

?>
</div>
