<?php
/**
* @version $Id: myjspace.php $
* @version		2.6.3 23/07/2018
* @package		plg_quickiconmyjspace
* @author       Bernard Saulm
* @copyright	Copyright (C) 2012-2013-2014-2015-2016-2017-2018 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

class plgQuickiconMyjspace extends JPlugin {

	public function __construct(& $subject, $config)
	{
		// Do no load if MyJspace is not installed and with the icon
		if (!file_exists(JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_myjspace'.DS.'images'.DS.'myjspace.png')) 
			return false;

		$this->loadLanguage('plg_quickicon_myjspace.sys', JPATH_ADMINISTRATOR);

		parent::__construct($subject, $config);
	}

	/**
	 * Display MyJspace back-end icon in Joomla! 2.5+
	 *
	 * @param string $context
	 */
	public function onGetIcons($context)
	{
		if ($context != $this->params->get('context', 'mod_quickicon') || !JFactory::getUser()->authorise('core.manage', 'com_myjspace')) {
			return;
		}

		if (version_compare(JVERSION, '3.0', 'ge')) {
			$document = JFactory::getDocument();
			$document->addStyleSheet(JURI::root() . 'plugins/quickicon/myjspace/myjspace.css');

			return array(array(
				'link' => JRoute::_('index.php?option=com_myjspace'),
				'image' => 'myjspace',
				'icon' => 'myjspace/../../../administrator/components/com_myjspace/images/myjspace.png',
				'text' => JText::_('PLG_QUICKICON_MYJSPACE_LABEL'),
				'id' => 'plg_quickicon_myjspace',
				'group' => JText::_('PLG_QUICKICON_MYJSPACE_LABEL')
			));
		} else {
			return array(array(
				'link' => JRoute::_('index.php?option=com_myjspace'),
				'image' => 'myjspace/../../../administrator/components/com_myjspace/images/myjspace.png',
				'text' => JText::_('PLG_QUICKICON_MYJSPACE_LABEL'),
				'id' => 'plg_quickicon_myjspace'
			));
		}
	}
}

?>
