<?php
/**
* @version $Id: pagebreakmyjsp.php $
* @version		2.6.0 28/06/2016
* @package		plg_xtd_pagebreakmyjsp
* @author       Bernard Saulmé
* @copyright	Copyright (C) Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;

/**
 * Editor Pagebreak buton
 *
 * @since  1.5
 */
class PlgButtonPagebreakMyjsp extends JPlugin
{
	/**
	 * Load the language file on instantiation.
	 *
	 * @var    boolean
	 * @since  3.1
	 */
	protected $autoloadLanguage = true;

	/**
	 * Constructor
	 */
	public function __construct(&$subject, $config)
	{
		parent::__construct($subject, $config);
		$this->loadLanguage();
	}

	/**
	 * Display the button
	 *
	 * @param   string  $name  The name of the button to add
	 *
	 * @return array A two element array of (imageName, textToInsert)
	 */
	public function onDisplay($name)
	{
		if (JRequest::getCmd('option') == 'com_myjspace') {
			$link = 'index.php?option=com_myjspace&amp;view=edit&amp;layout=pagebreak&amp;tmpl=component&amp;e_name='.$name;

			$button = new JObject;
			if (version_compare(JVERSION, '3.0.0', 'lt')) {
				JHtml::_('behavior.modal');

				$button->set('modal', true);
				$button->set('link', $link);
				$button->set('text', JText::_('PLG_MYJSPACE_XTD_PAGEBREAK_BUTTON'));
				$button->set('name', 'pagebreak');
				$button->set('options', "{handler: 'iframe', size: {x: 400, y: 150}}");
			} else {		
				$button->modal = true;
				$button->class = 'btn';
				$button->link  = $link;
				$button->text  = JText::_('PLG_MYJSPACE_XTD_PAGEBREAK_BUTTON');
				$button->name  = 'copy';
				$button->options = "{handler: 'iframe', size: {x: 500, y: 200}}";
			}
			
			return $button;
		} else {
			return false;
		}
	}
}
