/* 
 * Name  : drag_drop_upload.js
 * Author: Bernard Saulmé
 * (C) Bernard Saulmé
 */

// var urlupload = server side upload features
var test = null;

function readfiles(files, url) {
    var formData = tests.formdata ? new FormData() : null;
	var nomfile = '';

	for (var i = 0; i < files.length; i++) {
		if (tests.formdata) {
			formData.append('upload_file', files[i]);
			nomfile = files[i].name;
		}
	}

    // Post a new XHR request
	if (tests.formdata) {
		var xhr = new XMLHttpRequest();
		xhr.open('POST', url);
		xhr.onload = function() {
			fileupload.className = 'dragdrop';
			if (typeof PluginReturnUrl === "function")
				PluginReturnUrl(page_url+basename(nomfile)); // To return the name into the popup
		};

		fileupload.className = 'encours';
		xhr.send(formData);
    }
}

function init_graddrop() {
	var holder = document.getElementById('holder'),
		fileupload = document.getElementById('fileupload');

	if (!holder)
		return;

	tests = {
		filereader: typeof FileReader != 'undefined',
		dnd: 'draggable' in document.createElement('span'),
		formdata: !!window.FormData,
		progress: "upload" in new XMLHttpRequest
	};

	if (tests.dnd && typeof(urlupload) != 'undefined') { 
		holder.ondragover = function () {this.className = 'hover'; return false;};
		holder.ondragend = function () {this.className = ''; return false;};
		holder.ondrop = function (e) {
			this.className = '';
			e.preventDefault();
			readfiles(e.dataTransfer.files, urlupload);
		}
	}

	if (tests.filereader !== true || tests.dnd !== true || tests.formdata !== true) {
		fileupload.className = 'hidden';
	}
}

if (window.addEventListener) { // W3C standard
	window.addEventListener('load', init_graddrop, false);
} else if (window.attachEvent) { // Microsoft
	window.attachEvent('onload', init_graddrop);
}
