<?php
/**
* @version $Id: upload.php $
* @version		2.6.9 20/09/2019
* @package		com_myjspace
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2013 - 2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

$document = JFactory::getDocument();
$document->addScript(JURI::root(true).'/components/com_myjspace/assets/drag_drop_upload.js');
$document->addScriptDeclaration($this->drag_drop_upload);

if ($this->from == 1) { // Call from 'old' 'myjsp' editor plugin button
	// Editor skin usage
	if ($this->editor_selection == 'myjsp')
		$document->addStyleSheet(JURI::root(true).'/plugins/editors/myjsp/tiny_mce/skins/'.$this->skin.'/skin.min.css');

	if (@file_exists(JPATH_COMPONENT_SITE.DS.'assets'.DS.'myjsp_editor_'.$this->editor_selection.'.js'))
		$document->addScript(JURI::root(true).'/components/com_myjspace/assets/myjsp_editor_'.$this->editor_selection.'.js');
	else
		$document->addScript(JURI::root(true).'/components/com_myjspace/assets/myjsp_editor_none.js');
	$document->addScript(JURI::root(true).'/components/com_myjspace/assets/myjsp_editor.js');
	$fct_suffix = '';
} else { // Call from xtd button
	$fct_suffix = ($this->type == 'image') ? '_image' : '_upload';
	$name = 'mjs_content';

			$js = "

			function ClosePluginPopup_upload(url) {
				if (url.indexOf('.') != -1) {
					var reg = new RegExp('.*/', 'g');
					e = '<a href=\"'+url+'\" >'+url.replace(reg, '')+'</a>';
					window.parent.jInsertEditorText(e, '".$name."');

					window.parent.jModalClose();
				}
			}

			function ClosePluginPopup_image(url) {
				lowerurl = url.toLowerCase();
				if (lowerurl.endsWith('.jpg') || lowerurl.endsWith('.png') || lowerurl.endsWith('.gif')) {
					d = document.getElementById('description').value;
					e = '<img src=\"'+url+'\" alt=\"'+d+'\">';
					window.parent.jInsertEditorText(e, '".$name."');

					window.parent.jModalClose();
				}
			}
			";
	$document->addScriptDeclaration($js);
}

$document->addStyleSheet(JURI::root(true).'/components/com_myjspace/assets/myjspace.min.css');
$document->addScriptDeclaration("\n".'page_url = "'.$this->user_page->foldername.'/'.$this->user_page->pagename.'/'.'";');
?>
<p> </p>

<div class="myjsp-upload" style="float:right;">
<?php if ($this->user_page->blockEdit != 2) {
		if ($this->uploadimg > 0 || $this->uploadmedia > 0) {
?>
	<p> </p>

	<form  method="post" onsubmit="ClosePluginPopup<?php echo $fct_suffix; ?>(page_url+this.select_file.value); return false;" action="<?php echo str_replace('&', '&amp;', JFactory::getURI()->toString()); ?>" >
		<fieldset class="selectf">
			<select name="select_file" id="select_file" size="1">
				<option value="" selected="selected"><?php echo JText::_('COM_MYJSPACE_UPLOADCHOOSE') ?></option>
				<?php
					$nb = count($this->tab_list_file);	
					for ($i = 0 ; $i < $nb ; ++$i) {
						$chaine_tmp = $this->tab_list_file[$i];
						if (strlen($chaine_tmp) > 25)
							$chaine_tmp = substr($chaine_tmp, 0, 25).'...';
						echo '<option value="'.utf8_encode($this->tab_list_file[$i]).'">'.utf8_encode($chaine_tmp)."</option>\n";
					}
				?>
			</select>

			<button class="btn btn-small btn-success" onclick="ClosePluginPopup<?php echo $fct_suffix; ?>(page_url+this.select_file.value); return false;">
				<span class="icon-leftarrow"></span>
				<?php echo JText::_('COM_MYJSPACE_UPLOADCHOOSE0') ?>
			</button>
			<button class="btn btn-small" onclick="window.parent.jModalClose(); return false;">
				<?php echo JText::_('COM_MYJSPACE_CANCEL') ?>
			</button>
			<input name="from" type="hidden" value="<?php echo $this->from; ?>" />
			<input name="type" type="hidden" value="<?php echo $this->type; ?>" />

<?php		if ($this->type == 'image' && $this->from == 0) { ?>
			<div><?php echo JText::_('COM_MYJSPACE_LABELMETAKEY') ?></div>
			<input name="description" id="description" type="text" value="" />
<?php		} else { ?>
			<input name="description" id="description" type="hidden" value="" />
<?php		} ?>
		</fieldset>
	</form>

	<form method="post" onsubmit="PluginReturnUrl(page_url+basename(this.upload_file.value)); return true;" action="<?php echo JRoute::_('index.php'); ?>" enctype="multipart/form-data" id="upload_file_form" >
		<fieldset class="selectf">
			<input name="option" type="hidden" value="com_myjspace" />
			<input name="task" type="hidden" value="upload_file" />
			<input name="layout" type="hidden" value="upload" />
			<input name="id" type="hidden" value="<?php echo $this->user_page->id; ?>" />
			<input name="from" type="hidden" value="<?php echo $this->from; ?>" />
			<input name="type" type="hidden" value="<?php echo $this->type; ?>" />
			<input type="file" id="upload_file" name="upload_file" />
			<span id="holder">	
				<span id="fileupload" class="dragdrop">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
			</span>
			<?php echo JHTML::_('form.token'); ?>
		</fieldset>
	</form>

<script type="text/javascript">
document.getElementById('upload_file').onchange = function() {
    document.getElementById('upload_file_form').submit();
};
</script>

	<form method="post" action="<?php echo JRoute::_('index.php'); ?>" >
		<fieldset class="selectf">
			<input name="option" type="hidden" value="com_myjspace" />
			<input name="task" type="hidden" value="delete_file" />
			<input name="layout" type="hidden" value="upload" />
			<input name="from" type="hidden" value="<?php echo $this->from; ?>" />
			<input name="type" type="hidden" value="<?php echo $this->type; ?>" />
			<input name="id" type="hidden" value="<?php echo $this->user_page->id; ?>" />
			<select name="delete_file" id="delete_file" size="1">
				<option value="" selected="selected"><?php echo JText::_('COM_MYJSPACE_UPLOADCHOOSE') ?></option>
				<?php
					$nb = count($this->tab_list_file);	
					for ($i = 0 ; $i < $nb ; ++$i) {
						$chaine_tmp = $this->tab_list_file[$i];
						if (strlen($chaine_tmp) > 25)
							$chaine_tmp = substr($chaine_tmp, 0, 25).'...';
						echo '<option value="'.utf8_encode($this->tab_list_file[$i]).'">'.utf8_encode($chaine_tmp)."</option>\n";
					}
				?>
			</select>

			<button class="btn btn-small">
				<span class="icon-remove"></span>
				<?php echo JText::_('COM_MYJSPACE_UPLOADDELETE') ?>
			</button>	
	
			<?php echo JHTML::_('form.token'); ?>
		</fieldset>
	</form>
</div>
<?php
		}
   }
?>
