<?php
/**
* @version $Id: view.html.php $
* @version		2.6.8 09/07/2019
* @package		com_myjspace
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2010 - 2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'legacy.php';

jimport('joomla.application.component.view');

class MyjspaceViewEdit extends JViewLegacy
{
	function display($tpl = null)
	{
        require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'user.php';
        require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'user_event.php';
	    require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'util.php';

		// Config
		$pparams = JComponentHelper::getParams('com_myjspace');
		$app = JFactory::getApplication();
		$document = JFactory::getDocument();
		$params = $app->getParams();

		// Params
		$layout = JRequest::getVar('layout', '');

		if ($layout == '' || $layout == 'upload') {
			// User info
			$user = JFactory::getUser();
			$user_page = New BSHelperUser();

			$id = JRequest::getInt('id', 0);
			$return = JRequest::getVar('return', '');
			$catid = JRequest::getInt('catid', $params->get('catid', 0));

			$Itemid = JRequest::getInt('Itemid', 0);
			$Itemid_pages = BS_Util::get_menu_itemid('index.php?option=com_myjspace&view=pages', $Itemid, $catid);
			$Itemid_config = BS_Util::get_menu_itemid('index.php?option=com_myjspace&view=config', $Itemid, $catid);

			if ($id > 0 && $catid != 0)
				$catid = 0;
	
			// Catid url
			if ($catid != 0)
				$catid_url = '&catid='.$catid;
			else
				$catid_url = '';

			$pageid_tab = JRequest::getVar('cid', array());
			$cid0 = (is_array($pageid_tab) && isset($pageid_tab[0])) ? intval($pageid_tab[0]) : 0;
			if ($id == 0)
				$id = $cid0;

			if ($id < 0 && $cid0 > 0) { // New page to create with $cid0 page id as model
				$model_copy = $cid0;
				$user_page->id = $model_copy;
				$user_page->loadPageInfoOnly();
				$catid = $user_page->catid;
				unset($user_page);
				$user_page = New BSHelperUser();
			} else {
				$model_copy = 0; 
			}

			// Retrieve user page ID if pagename defined
			$pagename = JRequest::getVar('pagename', '');
			if ($pagename != '') {
				$user_page->pagename = $pagename;
				$user_page->loadPageInfo(1, 1);
				$id = $user_page->id;
			}

			// Page id - check
			if ($pparams->get('share_page', 0) != 0)
				$access = $user->getAuthorisedViewLevels();
			else
				$access = null;
			$list_page_tab = $user_page->getListPageId($user->id, $id, $catid, $access);
			$nb_page = count($list_page_tab);

			if ($id <= 0 || $nb_page != 1) {
				if ($id < 0 && $nb_page >= $pparams->get('nb_max_page', 1)) { // New page KO
					$app->redirect(JRoute::_('index.php?option=com_myjspace&view=pages&lview=edit&Itemid='.$Itemid_pages.$catid_url, false), JText::_('COM_MYJSPACE_MAXREACHED'), 'error');	
					return;
				} else if ($id < 0 || ($nb_page == 0 && $id <= 0)) { // New page
					$id = 0;
				} else if ($nb_page == 1) { // id=0 => Display the page
					$id = $list_page_tab[0]['id'];
				} else { // Display Pages list
					$app->redirect(JRoute::_('index.php?option=com_myjspace&view=pages&lview=edit&Itemid='.$Itemid_pages.$catid_url, false));
					return;
				}
			} else if ($nb_page > 1) { // Error
				$app->redirect('index.php', JText::_('COM_MYJSPACE_NOTALLOWED'), 'error');
				return;
			}

			// Retrieve user page info
			if ($user_page->pagename == '') {
				$user_page->id = $id;
				$user_page->loadPageInfo();
			}

			// Test if foldername exist => Alert Admin
			$link_folder = $pparams->get('link_folder', 1);

			if (!BSHelperUser::IsDirW(BSHelperUser::getRootFoldername()) && $link_folder == 1) {
				$app->redirect('index.php', JText::_('COM_MYJSPACE_ALERTYOURADMIN'), 'error');
				return;
			}

			// Create automatically page if none, if option 'auto_create_page' is activated & max 1 model
			$auto_create_page = $pparams->get('auto_create_page', 3);
			$model_page_list = ($model_copy > 0) ? array() : BSUserEvent::model_pagename_list($catid); // Model page list
			if ($user_page->pagename == null && ($auto_create_page == 2 || $auto_create_page == 3) && count($model_page_list) <= 2) {
				$blockview = $pparams->get('user_mode_view_default', 1);

				if ($model_copy > 0) {
					$model_page = $model_copy;
				} else {
					$model_page = 0;
					foreach ($model_page_list as $k => $v) { // Take the last one
						if ($k != 0 && $model_page_list[$k]['catid'] > 0)
							$catid = $model_page_list[$k]['catid'];
					   $model_page = $model_page_list[$k]['pagename'];
					}
				}

				$pagename = $user_page->getPagenameFree(basename($pparams->get('auto_pagename_rule', '#username')), $user, $catid);

				$id = BSUserEvent::adm_save_page_conf(0, $user->id, $pagename, $blockview, '', 0, '', '', '', '', $model_page, $catid, null, '', null, null, 'site_create');

				$user_page->id = $id;
				$user_page->loadPageInfo(); // Reload the user data
			}

			// Catid url (if catid change)
			if ($catid != 0) {
				$catid_url = '&catid='.$catid;
				$Itemid_config = BS_Util::get_menu_itemid('index.php?option=com_myjspace&view=config', $Itemid, $catid);
			}

			JRequest::setVar('id', $id, 'GET'); // Value used for upload from editor

			if ($user_page->pagename == '' && $layout != 'tags') { // Page not found => Go to create it
				$app->redirect(JRoute::_('index.php?option=com_myjspace&view=config&Itemid='.$Itemid_config.$catid_url, false));
				return;
			}

			$msgvide = null;
			$this->assignRef('msg', $msgvide);
			if ($user_page->blockEdit == 1)
				$this->assignRef('msg', JText::_('COM_MYJSPACE_EDITBLOCKED'));
			else if ($user_page->blockEdit == 2)
				$this->assignRef('msg', JText::_('COM_MYJSPACE_EDITLOCKED'));

			// Editor selection
			$editor_selection = $pparams->get('editor_selection', 'tinymce');
			if (BS_Util::check_editor_selection($editor_selection) == false || $editor_selection == '-') // Use the Joomla! default editor
				$editor_selection = null;

			// Editor button
			if ($pparams->get('allow_editor_button', 1) == 1) {
				if (version_compare(JVERSION, '1.6.0', 'ge'))
					$editor_button = array('readmore', 'article', 'image', 'pagebreak');
				else
					$editor_button = array('readmore', 'article', 'image');
			} else {
				$editor_button = false;
			}

			// Editor 'windows' size
			$edit_x = $pparams->get('user_edit_x', '100%');
			$edit_y = $pparams->get('user_edit_y', '600px');

			// Web page title
			if ($pparams->get('pagetitle', 1) == 1) {
				$title = $user_page->title;
				if (empty($title)) {
					$title = $app->getCfg('sitename');
				} elseif ($app->getCfg('sitename_pagetitles', 0) == 1) {
					$title = JText::sprintf('JPAGETITLE', $app->getCfg('sitename'), $title);
				} elseif ($app->getCfg('sitename_pagetitles', 0) == 2) {
					$title = JText::sprintf('JPAGETITLE', $title, $app->getCfg('sitename'));
				}
				if ($title)
					$document->setTitle($title);
			}

			// Breadcrumbs
			$pathway = $app->getPathway();
			$pathway->addItem($user_page->title, '');

			// Vars Assign
			$this->assignRef('user_page', $user_page);
			$this->assignRef('Itemid', $Itemid);
			$this->assignRef('editor_button', $editor_button);
			$this->assignRef('edit_x', $edit_x);
			$this->assignRef('edit_y', $edit_y);
			$this->assignRef('editor_selection', $editor_selection);
			$this->assignRef('return', $return);
		} else if ($layout == 'tags') {
			// Tags button
			$e_name = JRequest::getVar('e_name', 'mjs_editable');
			$allow_tag_myjsp_iframe = $pparams->get('allow_tag_myjsp_iframe', 1);
			$allow_tag_myjsp_include = $pparams->get('allow_tag_myjsp_include', 1);
			$share_page = $pparams->get('share_page', 0);
			$language_filter = $pparams->get('language_filter', 0);
			$show_tags = version_compare(JVERSION, '3.1.4', 'ge') ? $pparams->get('show_tags', 0) : 0;

			$this->assignRef('e_name', $e_name);
			$this->assignRef('allow_tag_myjsp_iframe', $allow_tag_myjsp_iframe);
			$this->assignRef('allow_tag_myjsp_include', $allow_tag_myjsp_include);
			$this->assignRef('share_page', $share_page);
			$this->assignRef('language_filter', $language_filter);
			$this->assignRef('show_tags', $show_tags);
		} else if ($layout == 'pagebreak') {
			$eName = JRequest::getVar('eName', 'mjs_content');
			$this->assignRef('eName', $eName);
		}

		if ($layout == 'upload') {
			// Drag & drop url for task call
			$drag_drop_upload = "\nvar urlupload = 'index.php?option=com_myjspace&task=upload_file&tmpl=component&id=".$user_page->id.'&'.BS_Util::getFormToken()."=1&drag_drop=1';\n";

			// Call from editor as default
			$from = JRequest::getInt('from', 1);
		
			// For 'old' editor 'myjsp' compatibiliy
			$editor_selection = $pparams->get('editor_selection', 'tinymce');
			if (BS_Util::check_editor_selection($editor_selection) == false || $editor_selection == '-') { // Use the Joomla! default editor
				$editor_selection = $app->getCfg('editor');
			}
			$skin = JRequest::getVar('skin', '');
			$type = JRequest::getVar('type', ''); // '', media, image, file, undefined

			$uploadimg = $pparams->get('uploadimg', 1);
			$uploadmedia = $pparams->get('uploadmedia', 1);
			// Automatic configuration :-)
			if ($user_page->pagename == '' || $link_folder == 0) {
				$uploadimg = 0;
				$uploadmedia = 0;
			}
		
			// Files list
			$tab_list_file = null;
			if ($type == 'image')
				$allowed_types = array('png', 'jpg', 'gif');
			else
				$allowed_types = array('*');
			if ($uploadimg > 0 || $uploadmedia > 0)
				$tab_list_file = BS_Util::list_file_dir(JPATH_ROOT.DS.$user_page->foldername.DS.$user_page->pagename, $allowed_types, 1);

			$file_max_size = $pparams->get('file_max_size', 307200);

			$this->assignRef('drag_drop_upload', $drag_drop_upload);
			$this->assignRef('from', $from);
			$this->assignRef('editor_selection', $editor_selection);
			$this->assignRef('skin', $skin);
			$this->assignRef('type', $type);
			$this->assignRef('uploadimg', $uploadimg);
			$this->assignRef('uploadmedia', $uploadmedia);
			$this->assignRef('tab_list_file', $tab_list_file);
			$this->assignRef('file_max_size', $file_max_size);
		}

		parent::display($tpl);
	}
}
?>
