<?php
/**
* @version $Id: view.php $
* @version		2.6.7 24/06/2019
* @package		com_myjspace
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2010 - 2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die;
if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);

require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'legacy.php';
jimport('joomla.application.component.view');
require_once JPATH_COMPONENT_SITE.DS.'helpers'.DS.'search_fct.php';

class MyjspaceViewPages extends JViewLegacy
{
	function display($tpl = null)
	{
		// Config
		$user = JFactory::getUser();
		$db	= JFactory::getDBO();
		$app = JFactory::getApplication();

		// Component options
		$pparams = JComponentHelper::getParams('com_myjspace');
		$new_page_rview = $pparams->get('new_page_rview', 'config');
		$copy_page_rview = $pparams->get('copy_page_rview', 'config');
		$nb_max_page = $pparams->get('nb_max_page', 1);
		$share_page = $pparams->get('share_page', 0);

		// View param
		$lview = JRequest::getCmd('lview', 'see');
		$uid = JRequest::getInt('uid', JRequest::getInt('id', 0));
		$association = JRequest::getCmd('association', ''); // Association language id
		$tmpl = JRequest::getCmd('tmpl', '');
		$layout = JRequest::getCmd('layout', '');

		// Only 'my' (or uid) pages)
		if ($share_page != 0 && $uid <= 0 && $user->id != 0) { // List with shared pages with me
			$extra_query = " AND (`userid` = ".$db->Quote($user->id)." OR `access` IN (".implode(',', $user->getAuthorisedViewLevels())."))";
		} else {
			if ($uid > 0)
				$extra_query = ' AND `userid` = '.$uid;
			else
				$extra_query = ' AND `userid` = '.$db->Quote($user->id);
		}

		if ($association != '') { // For the association pop-up
			$extra_query .= ' AND `language` = '.$db->Quote($association);
			$search_aff_add_default = 1+4+8+512+1024+2048; // Association
			$use_param_search = false; // change colomuns is no allowed
		} else {
			$search_aff_add_default = 5805;
			$use_param_search = true;
		}

		// Prepare display (retreive data). If catid != 0 catid add criteria is added into the query into BSHelperViewSearch::pre_display()
		$total = BSHelperViewSearch::pre_display($this, $search_aff_add_default, $use_param_search, 0, 0, 0, array(), 0, 0, $extra_query, 0);

		// Breadcrumbs
		$sub_title = '';
		if ($lview == 'config')
			$sub_title = JText::_('COM_MYJSPACE_TITLECONFIG1');
		else if ($lview == 'edit')
			$sub_title = JText::_('COM_MYJSPACE_TITLEEDIT1');
		else if ($lview == 'delete')
			$sub_title = JText::_('COM_MYJSPACE_DELETE');
		else
			$sub_title = JText::_('COM_MYJSPACE_TITLESEE1');

		$pathway = $app->getPathway();
		$pathway->addItem($sub_title, '');

		// Assign
		$this->assignRef('uid',	$uid);
		$this->assignRef('lview', $lview);
		$this->assignRef('total', $total);
		$this->assignRef('nb_max_page', $nb_max_page);
		$this->assignRef('new_page_rview', $new_page_rview);
		$this->assignRef('copy_page_rview', $copy_page_rview);
		$this->assignRef('association', $association);
		$this->assignRef('tmpl', $tmpl);
		$this->assignRef('layout', $layout);
		$this->assignRef('current_user', $user);

		parent::display($tpl);
	}

	// Transform the page data to data to be displayed (options dependant)
	protected function transform_fields($inst, $i = 0, $separ = 0, $max_tag = 0, $lview = 'see') {
		return BSHelperViewSearch::transform_fields($inst, $i, $separ, $max_tag, $lview);
	}

}

?>
