<?php
/**
* @version $Id: tagsmyjspace.php $
* @version		2.6.0 27/06/2016
* @package		plg_xtd_tags_myjspace
* @author       Bernard Saulm
* @copyright	Copyright (C) 2012-2013-2014-2015-2016 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// no direct access
defined('_JEXEC') or die;

jimport('joomla.html.parameter'); // >= J!1.6

/**
 * Editor Tags MyJspace button
 *
 */
class plgButtonTagsMyjspace extends JPlugin
{
	/**
	 * Constructor
	 */
	public function __construct(&$subject, $config)
	{
		parent::__construct($subject, $config);
		$this->loadLanguage();
	}

	/**
	 * Display the button
	 *
	 * @return array A two element array of (imageName, textToInsert)
	 */
	public function onDisplay($name)
	{
		$doc = JFactory::getDocument();
		$option = JRequest::getVar('option', '');
		$pparams = JComponentHelper::getParams('com_myjspace');

		if ($option == 'com_myjspace' && $pparams->get('allow_user_content_var', 1) == 1) {
			JHtml::_('behavior.modal');
				
			if (version_compare(JVERSION, '1.6.0', 'lt'))
				JPlugin::loadLanguage('plg_editors-xtd_tagsmyjspace', JPATH_ADMINISTRATOR);

			if (version_compare(JVERSION, '1.6.0', 'lt') || (version_compare(JVERSION, '3.0.0', 'lt') && JFactory::getApplication()->isAdmin())) // No icon for J!2.5 front-end
				$doc->addStyleSheet(JURI::root(true).'/plugins/editors-xtd/tagsmyjspace/tagsmyjspace.css');

			$link = 'index.php?option=com_myjspace&amp;view=edit&amp;layout=tags&amp;tmpl=component&amp;e_name='.$name;

			$button = new JObject;
			$button->set('modal', true);
			$button->set('link', $link);
			$button->set('class', 'btn');
			$button->set('text', JText::_('PLG_EDITORSXTD_MYJSPACE_BUTTON_TAGS'));
			$button->set('name', 'tags');
			$button->set('options', "{handler: 'iframe', size: {x: 400, y: 200}}");

			return $button;
		} else {
			return false;
		}
	}
}

?>
