<?php
/**
* @version $Id: uploadmyjspace.php $
* @version		2.6.0 25/06/2016
* @package		plg_xtd_upload_myjspace
* @author       Bernard Saulm
* @copyright	Copyright (C) 2016 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

// no direct access
defined('_JEXEC') or die;

jimport('joomla.html.parameter'); // >= J!1.6

/**
 * Editor Tags MyJspace button
 *
 */
class plgButtonUploadMyjspace extends JPlugin
{
	/**
	 * Constructor
	 */
	public function __construct(&$subject, $config)
	{
		parent::__construct($subject, $config);
		$this->loadLanguage();
	}

	/**
	 * Display the button
	 *
	 * @return array A two element array of (imageName, textToInsert)
	 */
	public function onDisplay($name)
	{
		$doc = JFactory::getDocument();
		$component_name = JRequest::getVar('option', '');
		$pparams = JComponentHelper::getParams('com_myjspace');
		
		$uploadimg = $pparams->get('uploadimg', 1);
		$uploadmedia = $pparams->get('uploadmedia', 1);
		$link_folder  = $pparams->get('link_folder', 1);

		if ($component_name == 'com_myjspace' && $link_folder == 1 && $uploadmedia > 0) {
			JHtml::_('behavior.modal');

			if (version_compare(JVERSION, '1.6.0', 'lt'))
				JPlugin::loadLanguage('plg_editors-xtd_uploadmyjspace', JPATH_ADMINISTRATOR);

			if (version_compare(JVERSION, '1.6.0', 'lt') || (version_compare(JVERSION, '3.0.0', 'lt') && JFactory::getApplication()->isAdmin())) // No icon for J!2.5 front-end
				$doc->addStyleSheet(JURI::root(true).'/plugins/editors-xtd/uploadmyjspace/uploadmyjspace.css');

			$id = JRequest::getInt('id', 0);
			$view = JFactory::getApplication()->isAdmin() ? 'page' : 'edit';
			$link = 'index.php?option=com_myjspace&view='.$view.'&layout=upload&tmpl=component&skin=lightgray&from=0&type=undefined&id='.$id;

			$button = new JObject;
			$button->set('modal', true);
			$button->set('link', $link);
			$button->set('class', 'btn');
			$button->set('text', JText::_('PLG_EDITORSXTD_MYJSPACE_BUTTON_UPLOAD'));
			$button->set('name', 'folder');
			$button->set('options', "{handler: 'iframe', size: {x: 400, y: 300}}");

			return $button;
		} else {
			return false;
		}
	}
}

?>
